import test_helper

from Ft.Server.Server import Drivers

def test_init(tester,props):

    tester.startTest("Init")

    driver = Drivers.Begin(None,props)

    if driver.exists() != -1:
        driver.destroy()

    tester.compare(-1,driver.exists())

    driver.initialize()

    #Actually is zero because the ftss driver does not consider the repo initied until there is a user
    tester.compare(0,driver.exists())

    driver.commit()
    tester.testDone()



def Test(tester,props):

    test_init(tester,props)
